Web API Reference | MapGuide Open Source

- Overview
- Modules
- Classes

# MgRenderingService Class Reference
[MgRenderingService]

This class provides services to render a map into an image. More...

Inherits MgService.

List of all members.

## Public Member Functions
virtual MgBatchPropertyCollection * | QueryFeatureProperties (MgMap *map, MgStringCollection *layerNames, MgGeometry *filterGeometry, INT32 selectionVariant, CREFSTRING featureFilter, INT32 maxFeatures, INT32 layerAttributeFilter)=0
| The QueryFeatureProperties operation identifies those features that meet the specified spatial selection criteria. This operation is used to implement WMS feature info and returns property values for all features which match the spatial query.
virtual MgBatchPropertyCollection * | QueryFeatureProperties (MgMap *map, MgStringCollection *layerNames, MgGeometry *filterGeometry, INT32 selectionVariant, INT32 maxFeatures)=0
| The QueryFeatureProeprties operation identifies those features that meet the specified spatial selection criteria. This operation is used to implement WMS feature info and returns property values for all features which match the spatial query.
virtual MgFeatureInformation * | QueryFeatures (MgMap *map, MgStringCollection *layerNames, MgGeometry *filterGeometry, INT32 selectionVariant, CREFSTRING featureFilter, INT32 maxFeatures, INT32 layerAttributeFilter)=0
| The QueryFeatures operation identifies those features that meet the specified spatial selection criteria. This operation is used to implement server-side selection. In addition to a selection set, this operation returns attribute information in case only one feature is selected.
virtual MgFeatureInformation * | QueryFeatures (MgMap *map, MgStringCollection *layerNames, MgGeometry *filterGeometry, INT32 selectionVariant, INT32 maxFeatures)=0
| The QueryFeatures operation identifies those features that meet the specified spatial selection criteria. This operation is used to implement server-side selection. In addition to a selection set, this operation returns attribute information in case only one feature is selected.
virtual MgByteReader * | RenderDynamicOverlay (MgMap *map, MgSelection *selection, MgRenderingOptions *options)=0
| Renders all dynamic layers in the specified MgMap to a dynamic overlay image with a transparent background. The center, scale, size, and layers to be rendered are defined by the specified map instance. The format parameter must be set to an image format that supports transparency.
virtual MgByteReader * | RenderDynamicOverlay (MgMap *map, MgSelection *selection, CREFSTRING format, bool bKeepSelection)=0
| Renders all dynamic layers in the specified MgMap to a dynamic overlay image with a transparent background. The center, scale, size, and layers to be rendered are defined by the specified map instance. The format parameter must be set to an image format that supports transparency.
virtual MgByteReader * | RenderDynamicOverlay (MgMap *map, MgSelection *selection, CREFSTRING format)=0
| Renders all dynamic layers in the specified MgMap to a dynamic overlay image with a transparent background. The center, scale, size, and layers to be rendered are defined by the specified map instance. The format parameter must be set to an image format that supports transparency.
virtual MgByteReader * | RenderMap (MgMap *map, MgSelection *selection, MgCoordinate *center, double scale, INT32 width, INT32 height, MgColor *backgroundColor, CREFSTRING format, bool bKeepSelection)=0
| Renders the specified MgMap to the requested image format.
virtual MgByteReader * | RenderMap (MgMap *map, MgSelection *selection, MgCoordinate *center, double scale, INT32 width, INT32 height, MgColor *backgroundColor, CREFSTRING format)=0
| Renders the specified MgMap to the requested image format.
virtual MgByteReader * | RenderMap (MgMap *map, MgSelection *selection, MgEnvelope *extents, INT32 width, INT32 height, MgColor *backgroundColor, CREFSTRING format, bool bKeepSelection)=0
| Renders the specified MgMap to the requested image format.
virtual MgByteReader * | RenderMap (MgMap *map, MgSelection *selection, MgEnvelope *extents, INT32 width, INT32 height, MgColor *backgroundColor, CREFSTRING format)=0
| Renders the specified MgMap to the requested image format.
virtual MgByteReader * | RenderMap (MgMap *map, MgSelection *selection, CREFSTRING format, bool bKeepSelection, bool bClip)=0
| Renders the specified MgMap to the requested image format.
virtual MgByteReader * | RenderMap (MgMap *map, MgSelection *selection, CREFSTRING format, bool bKeepSelection)=0
| Renders the specified MgMap to the requested image format.
virtual MgByteReader * | RenderMap (MgMap *map, MgSelection *selection, CREFSTRING format)=0
| Renders the specified MgMap to the requested image format.
virtual MgByteReader * | RenderMapLegend (MgMap *map, INT32 width, INT32 height, MgColor *backgroundColor, CREFSTRING format)=0
| Renders the legend for the specified MgMap to the requested size and format.
virtual MgByteReader * | RenderTile (MgMap *map, CREFSTRING baseMapLayerGroupName, INT32 tileColumn, INT32 tileRow)=0
| Returns the specified base map tile for the given map. If a cached tile image exists it will return it, otherwise the tile is rendered and added to the cache.

## Detailed Description

This class provides services to render a map into an image.

Comments or suggestions? Send us feedback.